<%--
    (C) Copyright Hewlett-Packard Development Company, L.P. All Rights Reserved.
--%>
<%@ page language="java" contentType="text/html;charset=utf-8"
  import="com.hp.siberia.common.utils.ResourceUtil"
  import="com.hp.siberia.common.utils.PropertiesUtil"
  import="org.springframework.web.context.WebApplicationContext"
  import="org.springframework.web.context.support.WebApplicationContextUtils"
  import="com.hp.siberia.security.ProviderSessionTerminator"
%>
<%
  response.setHeader("Cache-Control","no-cache"); //HTTP 1.1
  response.setHeader("Pragma","no-cache"); //HTTP 1.0
  response.setDateHeader ("Expires", 0); //prevent caching at the proxy server
  
  String isSupportFrame = PropertiesUtil.findApplicationProperty("src.enableFrame");
  if(isSupportFrame!=null){
    isSupportFrame=isSupportFrame.trim();
  }
  if("false".equalsIgnoreCase(isSupportFrame)){
    response.setHeader("X-Frame-Options", "DENY");
  }

  if (!"https".equalsIgnoreCase(request.getScheme()))
  {
    String secureLogin = (String)request.getSession().getAttribute("secureLogin");;
    String sslPort = (String)request.getSession().getAttribute("sslPort");

    if (secureLogin==null)
    {
      secureLogin = PropertiesUtil.findApplicationProperty("src.security.secureLogin");
      sslPort = PropertiesUtil.findApplicationProperty("src.security.sslPort");

      request.getSession().setAttribute("secureLogin",secureLogin);
      request.getSession().setAttribute("sslPort",sslPort);
    }

    if (secureLogin!=null && sslPort!=null && "true".equalsIgnoreCase(secureLogin))
    {
      String hostName = request.getServerName();
      String contextName = request.getContextPath();
      String sslUrl = "https://" + hostName + ":" + sslPort + contextName + "/secure/main.jsp";
      try
      {
        response.sendRedirect(sslUrl);
      }
      catch (Exception e)
      {
      }
    }
  }

	WebApplicationContext context = WebApplicationContextUtils
			.getRequiredWebApplicationContext(session
					.getServletContext());
	ProviderSessionTerminator terminator = (ProviderSessionTerminator) context
			.getBean("providerSessionTerminator");
	terminator.cleanupLegacySessionsWhenReload(session);
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- saved from url=(0014)about:internet -->
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<link rel="Icon" href="../favicon.ico" type="image/x-icon" / >
<link rel="Shortcut Icon" href="../favicon.ico" type="image/x-icon" / >
<link rel="search" type="application/opensearchdescription+xml" title="Search SRC Service Catalog" href="../opensearch.jsp" />

    <!--
    Smart developers always View Source.

    This application was built using Adobe Flex, an open source framework
    for building rich Internet applications that get delivered via the
    Flash Player or to desktops via Adobe AIR.

    Learn more about Flex at http://flex.org
    // -->
    <head>
        <title>Service Request Catalog</title>
<%
        response.setHeader("X-UA-Compatible","IE=8");
%>
        <meta http-equiv="X-UA-Compatible" content="IE=8"/>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <%
        %>
		<!-- Include CSS to eliminate any default margins/padding and set the height of the html element and
		     the body element to 100%, because Firefox, or any Gecko based browser, interprets percentage as
			 the percentage of the height of its parent container, which has to be set explicitly.  Initially,
			 don't display flashContent div so it won't show if JavaScript disabled.
		-->
        <style type="text/css" media="screen">
			html, body	{ height:100%; }
			html { overflow: hidden; }
			body { margin:0; padding:0; overflow:auto; text-align:center;
			       background-color: #D8DFE5; }
			#flashContent { display:none; }
        </style>


	<!-- Automatically set browser focus on the Flex application -->
	<script type="text/javascript" src="../js/detect.js"></script>
	<script type="text/javascript">
			function setFlexAppFocus()
			{
				getFlexAppMovieObject('main').focus();
			}

			function getFlexAppMovieObject(movieName)
			{
				if (window.document[movieName])
				{
					return window.document[movieName];
				}
				if (navigator.appName.indexOf('Microsoft Internet')==-1)
				{
					if (document.embeds && document.embeds[movieName])
					{
						return document.embeds[movieName];
					}
				}
				else
				{
					return document.getElementById(movieName);
				}
			}

			window.onbeforeunload = cleanUp;

			function cleanUp()
			{
			    var req;
				if (window.XMLHttpRequest) {
					req = new XMLHttpRequest();
				} else if (client.browser.ie && window.ActiveXObject){
				// in case native XMLHttpRequest not supported or disabled
				// fall abck to legacy XMLHttpRequest
					req = new ActiveXObject("MSXML2.XMLHTTP.3.0");
				}
			    req.open("GET", "logout?"+Math.random(), false);
			    if(window.XMLHttpRequest && ((client.browser.ie&&client.browser.ver>7.0)||
			    		client.browser.chrome)){
			    	//1. timeout in sync XHR only works with IE 8 above and Chrome
			    	//2. set min timeout value so that performing the sync call to server NOT block browser close
				    req.timeout=1;
			    }
			    req.send(null);
			}

    </script>


	<!-- Enable Browser History by replacing useBrowserHistory tokens with two hyphens -->

        <!-- BEGIN Browser History required section -->
        <link rel="stylesheet" type="text/css" href="history/history.css" />
        <script type="text/javascript" src="history/history.js"></script>
        <!-- END Browser History required section -->

        <script type="text/javascript" src="swfobject.js"></script>

        <script type="text/javascript">
        	function getProtocol() { return window.location.protocol; }
        </script>

        <script type="text/javascript">
            <!-- For version detection, set to min. required Flash Player version, or 0 (or 0.0.0), for no version detection. -->
            var swfVersionStr = "10.3.0";
            <!-- To use express install, set to playerProductInstall.swf, otherwise the empty string. -->
            var xiSwfUrlStr = "playerProductInstall.swf";
            var flashvars = {jsessionid:"<%=request.getSession().getId() %>"};
            var params = {};
            params.quality = "high";
            params.bgcolor = "#D8DFE5";
            params.allowscriptaccess = "sameDomain";
            params.allowfullscreen = "true";
            var attributes = {};
            attributes.id = "main";
            attributes.name = "main";
            attributes.align = "middle";
            swfobject.embedSWF(
                "main.swf", "flashContent",
                "100%", "100%",
                swfVersionStr, xiSwfUrlStr,
                flashvars, params, attributes);
			<!-- JavaScript enabled so display the flashContent div in case it is not replaced with a swf object. -->
			swfobject.createCSS("#flashContent", "display:block;text-align:left;");
        </script>

        <!-- The below script workarounds Flash's Fragment Identifier Bug in IE,
             for more details, check out http://bugs.adobe.com/jira/browse/FP-240
        -->
		<!--[if IE]>
		<script type="text/javascript">
			(function () {
  				var oldtitle = document.title || '';
  				document.onpropertychange = function () {
    				var newtitle , doctitle = document.title || '';
					if (window.event.propertyName != 'title' || doctitle == oldtitle) {
		        		return;
					}

    				// clean the title if needed
    				newtitle = doctitle.indexOf('#') != -1 ? doctitle.substring(0, doctitle.indexOf('#')): doctitle;

    				if (newtitle == '' && doctitle.indexOf('#') != -1) {
      					newtitle = oldtitle;
    				}

	    			oldtitle = newtitle;
    				document.title = newtitle;
  				}
			})();
		</script>
		<![endif]-->

	<%
		if("false".equalsIgnoreCase(isSupportFrame)){
	%>
		<script type="text/javascript">
			(function () {
				if(top != self) {
					top.location.replace(location);  
				}
			})();
		</script>
	<%
		}	
	%>
	

    </head>
    <body onload="setFlexAppFocus()">
        <!-- SWFObject's dynamic embed method replaces this alternative HTML content with Flash content when enough
			 JavaScript and Flash plug-in support is available. The div is initially hidden so that it doesn't show
			 when JavaScript is disabled.
		-->
        <div id="flashContent">
        	<p>
	        	To view this page ensure that Adobe Flash Player version
				10.3 or greater is installed.
			</p>
			<script type="text/javascript">
				document.write("<a href='http://www.adobe.com/go/getflashplayer'>Get Adobe Flash Player</a>" );
			</script>
        </div>

       	<noscript>
            <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="100%" height="100%" id="main">
                <param name="movie" value="main.swf" />
                <param name="quality" value="high" />
                <param name="bgcolor" value="#D8DFE5" />
                <param name="allowScriptAccess" value="sameDomain" />
                <param name="allowFullScreen" value="true" />
		<param name="FlashVars" value="jsessionid=<%=request.getSession().getId() %>" />
                <!--[if !IE]>-->
                <object type="application/x-shockwave-flash" data="main.swf" width="100%" height="100%">
                    <param name="quality" value="high" />
                    <param name="bgcolor" value="#D8DFE5" />
                    <param name="allowScriptAccess" value="sameDomain" />
                    <param name="allowFullScreen" value="true" />
		    <param name="FlashVars" value="jsessionid=<%=request.getSession().getId() %>" />
                <!--<![endif]-->
                <!--[if gte IE 6]>-->
                	<p>
                		Either scripts and active content are not permitted to run or Adobe Flash Player version
                		10.3 or greater is not installed.
                	</p>
                <!--<![endif]-->
                    <a href="http://www.adobe.com/go/getflashplayer">Get Adobe Flash Player</a>
                <!--[if !IE]>-->
                </object>
                <!--<![endif]-->
            </object>
	    </noscript>
   </body>

</html>
